Package
Package actions determine how app distribution will deploy your packages. Package detection rules assist app distribution in deciding whether an app should be deployed to a device.
HTTP Method - POST
Adds a new package revision to the app.
HTTP Method - GET
Returns a resource and resource collection.
Returns the package revisions in the application's user interface.
The list of revisions present for an app, can be determined in the call to get a catalog record.
POST Method
Request URI
POST /api/SwdPackage/targetDevice/external
Each package modification results in a new version, and the system records all updates to the package as new entries.
Header Parameters
Name | Type | Description |
|---|---|---|
Authorization | String | Use the Bearer <access-token> value determined during the ../Shared-Content/authenticate_api.htmapp-distribution-authentication.htmAuthentication process. |
Request Body Parameters
Name | Type | Description |
|---|---|---|
api-version | String | The current API version number. |
Example Response
{
"packageId": "string",
"revision": 0,
"revisionComment": "string",
"isLatest": true,
"created": "2024-08-28T07:16:49.013Z",
"createdById": "string",
"createdByName": "string",
"actionsData": {
"packageId": "string",
"packageName": "string",
"revision": 0,
"data": "string"
}
}GET Method
Request URI
GET /api/SwdPackage/package/external//
Retrieves a package using the specified package ID and version number.
Header Parameters
Name | Type | Description |
|---|---|---|
Authorization | String | Use the Bearer <access-token> value determined during the ../Shared-Content/authenticate_api.htmAuthenticate to the App Distribution API process. |
Request Body Parameters
Name | Type | Description |
|---|---|---|
api-version | String | The current API version number. |
packageId | String | Use it to call the Package ID details. |
revision | Number | Revision number. |
Example Response
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}